QGIS Server crashes on GetLegendGraphic and GetFeatureInfo requests with master
Status: Closed

Priority: High

Assignee:

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 19516

Description

When I send GetLegendGraphic or GetFeatureInfo requests I get a 500 internal server error.

Here is my error_log for apache2 :

[Mon Sep 15 12:35:44 2014] [warn] [client IP] mod_fcgid: error reading data, FastCGI server closed connection

[Mon Sep 15 12:35:44 2014] [error] [client IP] Premature end of script headers: qgis_mapserv.fcgi

[Mon Sep 15 12:35:47 2014] [error] mod_fcgid: process /usr/lib/cgi-bin/qgis_mapserv.fcgi(23117) exit(communication error), get

unexpected signal 11

Warning 1: Unable to find driver ECW to unload from GDAL_SKIP environment variable.

Warning 1: Unable to find driver ECW to unload from GDAL_SKIP environment variable.

Warning 1: Unable to find driver JP2ECW to unload from GDAL_SKIP environment variable.

Warning 1: Unable to find driver ECW to unload from GDAL_SKIP environment variable.

Warning 1: Unable to find driver JP2ECW to unload from GDAL_SKIP environment variable.

/usr/lib/cgi-bin/qgis_mapserv.fcgi: symbol lookup error: /usr/lib/cgi-bin/qgis_mapserv.fcgi: undefined symbol:

_ZN11QgsSymbolV215drawPreviewIconEP8QPainter5QSize

The issue doesn't exist in QGIS 2.4

History

#1 - 2014-10-19 05:31 PM - Giovanni Manghi

- Priority changed from High to Severe/Regression

confirmed here on Ubuntu 14.04 and qgis master.

#2 - 2014-10-20 03:14 AM - Martin Dobias

- Status changed from Open to Feedback

- Priority changed from Severe/Regression to High

Are you sure that you do not have some mix-up with QGIS libraries on your system? (e.g. server fcgi picking up wrong version of qgis_core library?)

The drawPreviewIcon method requested by server binary has been changed recently (in API compatible way), but it should work fine if you recompile the

server binary fcgi.

#3 - 2014-12-08 02:06 AM - Simon Bowyer
Similar problem here, with qgis-server 2.6.1.1 on Ubuntu Server 14.04.1 LTS, a clean install. When a GetLegendRequest references a map like this it

works:

?map=/usr/lib/cgi-bin/testmap/testmap.qgs

And when formed like this it fails with 'Internal Server Error' and the above-mentioned 'Unable to find driver' warnings in the apache2 log:

?map=testmap.qgs

#4 - 2014-12-08 03:36 AM - Giovanni Manghi

- Status changed from Feedback to Open

#5 - 2015-03-05 02:42 AM - Sandro Santilli

- Status changed from Open to Feedback

Is this still an issue with 2.8.1 ? Nothing older than that is supported.

#6 - 2015-03-13 04:06 AM - Nicolas Boisteault

No issue for me with QGIS 2.8.1.

#7 - 2015-03-13 05:39 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed
